using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace BMA.EHR.Recurit.Exam.Service.Models
{
    public class Province : EntityBase
    {
        [Required, MaxLength(150), Column(Order = 1), Comment("จังหวัด")]
        public string Name { get; set; } = string.Empty;

        [Column(Order = 2), Comment("สถานะการใช้งาน")]
        public bool IsActive { get; set; } = true;

        public virtual List<District> Districts { get; set; } = new();
    }
}
